To make and install the API documentation and the icons properly, 
install kdoc > 2.0a36 and do the following in the kdelibs directory: 
(paths to the Qt  documentation and to the wished installation directory 
to be  adjusted; the DESTDIR variable is for packagers):

    QTDOCDIR=/usr/share/doc/qt2.1-doc/doc/html
    KDEDOCDIR=/usr/share/doc/kdelibs3-doc/html
    export QTDOCDIR KDEDOCDIR
    qt2kdoc --url=$QTDOCDIR \
            --outdir=$DESTDIR/$KDEDOCDIR/kdoc-reference \
            --compress \
            $QTDOCDIR
    makekdedoc --libdir=$KDEDOCDIR/kdoc-reference \
               --kdocopt='--skip-internal --compress' \
               --url=$KDEDOCDIR \   
               --outputdir=$DESTDIR/$KDEDOCDIR
    cp doc/api/kpixmapio-perf.png $KDEDOCDIR/kdeui
    cp doc/api/kcolordialog.png   $KDEDOCDIR/kdeui
    cp doc/api/kfontdialog.png    $KDEDOCDIR/kdeui
    cp doc/api/kkeydialog.png     $KDEDOCDIR/kdeui
    cp doc/api/kedittoolbar.png   $KDEDOCDIR/kdeui
    cp doc/api/kdatepicker.png    $KDEDOCDIR/kdeui
    cp doc/api/kfiledialog.png    $KDEDOCDIR/kfile
    cp kio/DESKTOP_ENTRY_STANDARD $KDEDOCDIR/kio
    sed -e "s#_QTDOCDIR_#$QTDOCDIR#g" doc/api/index.docbook.in > doc/api/index.docbook
    ( cd doc/api && kdb2html `pwd`/index.docbook )
    cp doc/api/HTML/* $KDEDOCDIR
